<?php require_once('../../Connections/cn.php'); ?>
<?php 
header("Content-Type:text/html; charset=utf-8");
//DATOS del personal
	$id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$cedula=$_GET['id_alumno'];

    mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
	
	$sql = "SELECT id_alumno,apellidos,nombres FROM alumnos WHERE cedula='$cedula'";
$rs = mysql_query($sql, $cn);
$row = mysql_fetch_assoc($rs);
$id_alumno=$row['id_alumno'];
$completo=$row['apellidos'].', '.$row['nombres'];;

$queryCulmina = "Select
sum(materias.uc) as aprobados
From
historico_notas
Inner Join materias ON historico_notas.id_materia = materias.id_materia
where historico_notas.id_alumno='$id_alumno' and historico_notas.id_carrera='$id_carrera' and (historico_notas.nota>=3 or historico_notas.aprobacion='EQUIVALENCIA')";
$rstCulmina = mysql_query($queryCulmina, $cn) or die(mysql_error());
$rowCulmina = mysql_fetch_assoc($rstCulmina);
$creditos_aprobados=$rowCulmina['aprobados'];

$queryCarrera = "Select num_materias,creditos_grado,nombre_carrera from carreras where id_carrera='$id_carrera'";
$rstCarrera = mysql_query($queryCarrera, $cn) or die(mysql_error());
$rowCarrera = mysql_fetch_assoc($rstCarrera);
$creditos_programa=$rowCarrera['creditos_grado'];
$num_materias=$rowCarreras['num_materias'];
$nombre_carrera=$rowCarrera['nombre_carrera'];

if($creditos_aprobados<$creditos_programa){
	 ?>
	 <script type="text/javascript">
	    msj="Participante <<<?php echo $completo ?>>> NO ha aprobado la Carga Académica Completa del programa <<<?php echo $nombre_carrera ?>>>"
	 	alert(msj);
	 </script>
	 <?php
  }
  else{
	
	$sql0 = "SELECT sede FROM carreras_alumno WHERE id_alumno='$id_alumno' AND cod_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
		
	
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];
	$prefijo=$row1['prefijo'];
	$titulo=$row1['nombre_titulo'];
	
	$sql = "SELECT * FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$completo=trim($row['nombres'])." ".trim($row['apellidos']);
	$cedula=$row['cedula'];
	
	$sql2 = "SELECT * FROM egresados WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera'";
	$rs2 = mysql_query($sql2, $cn);
	$row2= mysql_fetch_assoc($rs2);
	$acta=$row2['acta'];
	$libro=$row2['libro'];
	$folio=$row2['folio'];
	$fecha_egreso=$row2['fecha_egreso'];
	
	
	$cedula=$row['cedula'];
	$tipodoc=$row['tipodoc'];
	$sexo=$row['genero'];
	if ($sexo=='1'){
		$inscrito='inscrita';
		$ciudadano='la ciudadana, ';
		$portador='titular';
		}
		else {
		$inscrito='inscrito';
		$ciudadano='el ciudadano, ';
		$portador='titular';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento=$portador.' de la Cédula de Identidad ';
		}
				else {	
		 $documento=$portador.' del Pasaporte ';}
		
		

    // Busca el nombre de la sede.
	$sql_sede = "SELECT ciudad_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede='Caracas';
	//$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
$pdf->ezSetCmMargins(1,1,3,3);
// Inicio del Encabezado.

$pdf->ezsetdy(-100);
$pdf->ezText('<b>'.utf8_decode("CONSTANCIA DE CULMINACIÓN DE ESTUDIOS").'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-35);
//$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$diff=array(225=>'&aacute;',233=>'&eacute',237=>'&iacute',243=>'&oacute',250=>'&uacute',241=>'&ntilde',209=>'&Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

$texto=utf8_decode("Quien suscribe, Jefa de Control de Estudios de la Universidad Latinoamericana y del Caribe (ULAC), por medio de la presente hace constar que $ciudadano".'<b>'."$completo".'</b>'.", $documento Nro. ".'<b>'."$cedula".'</b>'.", Cursó y Aprobó las unidades curriculares, correspondientes al Plan de Estudios $prefijo ".'<b>'."$carrera".'</b>'." y actualmente se encuentra en espera del acto académico para obtener el título de ".'<b>'."$titulo.".'</b>');


$emitido=utf8_decode("Constancia que se expide a solicitud de la parte interesada en $nombre_sede, $fecha.");

$pdf->ezText($texto,13,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-25);

$pdf->ezText($emitido,13,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("Atentamente,"),13,array('justification'=>'center'));

$pdf->ezsetdy(-85);
//$pdf->ezText("_______________________________________",12,array('justification'=>'center'));
//$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode('<b>'."Lic. Hilda Echarry".'</b>'),12,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("Jefa del Departamento de Control de Estudios"),12,array('justification'=>'center'));


//pie_pagina($pdf);

// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->addObject($all,'all'); 

$pdf->ezStream(); 

}
function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->ezText(utf8_decode("Urbanización Las Mercedes, Paseo Enrique Eraso, Torre La Noria, Piso 2, Caracas, Distrito Capital"),8,array('justification'=>'center'));
	 $pdf->ezText(utf8_decode("Teléfonos: (0212) 993.31.06 - Fax: (0212) 993.31.93. e-mail: unlati@cantv.net"),8,array('justification'=>'center'));
}



function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
	}
	
	function decode($cadena)
	{
	return html_entity_decode($cadena,$this->estilocomillas,$this->juegocaracterdecode);
	}  
?> 
